Failure on WIF SDK install



Installing the SDK on Win7 and it says I need to install the WIF runtime. So I look for the download, find it here: 


If you are like me, you download the first one you see, in my case the x64 download “Windows6.0-KB974405-x64.msu”  and run it , but it fails and get an error:


“This update is not applicable to your computer”


Well if I had read it properly I would have noticed that the site clearly states:


Download the x86 or x64 runtime package appropriate for your system as follows:

·         For Windows Vista and Windows Server 2008, select the msu file with name starting Windows6.0.

·         For Windows 7 and Windows Server 2008 R2, select the msu file with name starting Windows6.1.



Doh!.. OK but maybe itll help someone else avoid the same mistake J


Comments (1)

  1. VC says:

    Did that work for  you? I tried installing the 6.1 on Windows 7 and it fails.